=== debian/changelog ===
pure-tk (0.4-1) precise; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Thu, 19 Sep 2013 08:47:14 +0200

pure-tk (0.3-4) precise; urgency=low

  * Gnocl 0.9.96 compatibility

 -- Albert Graef <Dr.Graef@t-online.de>  Tue, 29 Jan 2013 10:04:16 +0100

pure-tk (0.3-3) precise; urgency=low

  * Upstream fixes (linker issues, Tcl interpreter return values)

 -- Albert Graef <Dr.Graef@t-online.de>  Fri, 18 Jan 2013 15:27:44 +0100

pure-tk (0.3-2) natty; urgency=low

  * Prevent zipping of examples

 -- Albert Graef <Dr.Graef@t-online.de>  Sun, 27 May 2012 00:19:36 +0200

pure-tk (0.3-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 22:02:19 +0200
