=== debian/control ===
Source: pure-tk
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev, tcl8.5-dev, tk8.5-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-tk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pure-gtk
Description: Tcl/Tk interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides a basic interface between Pure and Tcl/Tk,
 the cross-platform GUI toolkit based on the Tcl scripting language.
 .
 The operations of this module allow you to execute arbitrary commands in the
 Tcl interpreter, set and retrieve variable values in the interpreter, and
 invoke Pure callbacks from Tcl/Tk. An interface to Peter G. Baum's Gnocl
 extension is also provided, which turns Tcl into a frontend for GTK+ and
 Gnome.
